
Advanced Disk Catalog: versions history
=======================================

+ improvement/modification
! bug fixed


Version 1.51
------------

+ extracting information from own CAT files
+ some languages added/updated
! crash when importing database
! incorrect size displaying in properties dialogs (for files/folders)
! incorrect category field representation in export

Version 1.50
------------

+ counting and displaying size of folders
+ advanced export to CSV/SQL/DBF/XML formats
+ loading database with progress window
+ option to include comment field in search report
+ matches column added in duplicates dialog
+ some languages added/updated
! minor bug in language selecting dialog
! crash when using some non-english languages
! possible crash when loading files smaller than 16 Kb

Version 1.49
------------

+ save search results
+ save comparison results
+ resizable comparison dialog
+ improved duplicates dialog representation
+ match size/date options for duplicates
! importing database with categories
! minor bug in categories dialog
! some misspellings fixed
! minor bug with language selecting
! crash when searching using Romanian language

Version 1.48
------------

+ support for RAR 3.x archives
+ support for JAR/WAR/EAR archives
+ extracting descriptions from OGG Vorbis files
! functionality of some hot keys
! processing TAR archives
! CDDB access via IE proxy
! extracting descriptions from some PDF and EXE files

Version 1.47 (16/11/2001)
-------------------------

+ option: "Gradient caption fill"
! user interface problems under Windows XP
! crash on MP3 files with long comments in ID3 tags
! checking for updates
! disabling Edit/Delete/Print buttons in "Categories" window

Version 1.46 (13/09/2001)
-------------------------

+ scan in background (option)
+ show number of folders/files during disk scan
+ faster database loading
+ faster disk deletion
+ export folder/file descriptions
! crash on deleting/updating disks with large archives
! crash on compare/duplicate operations
! a few memory leaks
! some CDDB problems

Version 1.45 (04/07/2001)
-------------------------

! updating disk with zero serial number (network-mapped etc)
! crash on analysing some MP3 files
! extracting wrong info from some MP3 files
+ support for UNIX TAR archives

Version 1.44 (07/06/2001)
-------------------------

! crash on some MP3 files
! chash on CDDB request when disk is not in the database
! recognizing some WAV files as MP3s
! "conflict" for disk with zero serial number
! updating network disk (stored in the database as local one)
+ "debug mode" in CDDB engine
+ better recognizing of VBR MP3 files
+ extracting descriptions from WMA (Windows Media) files

Version 1.43 (19/04/2001)
-------------------------

! fixed some CDDB problems
+ support for ACE/WinACE 2.x archives
+ support for ID3v2 tags
+ support for variable-bit-rate MP3 files

Version 1.41 (10/04/2001)
-------------------------
! problems processing some SFX CAB archives
! a few memory leaks
! saving last colum size (main window)
+ better Windows ME and Windows 2000 compatibility
+ extracting descriptions from Adobe Acrobat PDF files
+ extracting descriptions from Microsoft Office files
  (Word, Excel, PowerPoint, Project, Visio)
+ updates:
  + working through proxy (IE)
  + working without WININET.DLL
+ improved CDDB support
  ! problems with some CD drives
  ! working through proxy
  + working without WININET.DLL
  + selecting server location (freedb.org by default)
  + receiving list of available servers
  + selecting script location
  + processing multiple matches

Version 1.31 (15/08/2000) 
-------------------------
! using 100% CPU time
! updates: removing temporary files
! updates: working through transparent proxy
! updates: saying that the new version is available (but the same one)
! processing corrupted ACE archives
! Y2K: dates of files in ZIP archives
! deleting files from the catalog: "changed" flag
+ CDDB support (preliminary!)
+ importing ID3 tags without artist/title information
+ improved (faster and more reliable) unzip engine
+ support for LZH archives
+ archives setup (which ones to analyse)
+ comments for archives -- an option for update (always keep old ones,
  or keep only if the files has been changed)

Version 1.30a (18/08/99)
------------------------
! compatibility with some video cards in 256-color mode

Version 1.30 (15/07/99) 
-----------------------
+ extracting ID3 tags (v1.0/1.1) from MP3 files
+ extracting descriptions from WAV (sound) files
+ extracting descriptions from HTML files
+ network disk name (UNC) in add/update/compare dialogs
+ disk label (for HDDs) in add/update/compare dialogs
+ sound when add/update/compare/duplicates process is finished
+ new column in main and search windows: file type
+ quick report: separate date/time
+ quick report quotes around text fields
+ tip of the day
+ redesigned toolbar
+ bitmaps in menus
+ resizable "comments" window
+ visiting Elcom web site using commands in ADC menu
+ checking for program upgrades via Internet
+ importing categories from text files
! shifting the splitter after program restart
! min/max splitter position (also after restart)
! accessing floppy drive under NT (error box)
! opening search window when it was previously minimized
! open/run file from search window when wrong disk is inserted
! add/update disk (window caption) -> add disk or update disk
! case-sensitive category names
! adding "none" as a category
! status bar font/size under Windows 2000

Version 1.20d (05/03/99)
------------------------
+ Y2K compliance
+ ask to insert the disk again, if serial doesn't match
+ support for ACE archives
+ compare: default disks (selected catalogued one and appropriate
  physical one)
+ smaller size of executable module)
! open file from disk when no disk is inserted
! comparing disks with no differences (or with not very much ones)
! crash on generting some reports
! processing RAR files
! search with date range: first and last days
! search with date range: 2nd date should be larger
! search with date range: year number
! working with read-only catalogs (open & import)

Version 1.20c (03/09/98)
------------------------
! scanning the disk with 0xFFFFFFFF serial number
! updating the disk when the serial number is different
! date check in search window
+ improved Windows 98 compatibility
+ improved Windows NT compatibility
+ added "File Integrity Checker" utility

Version 1.20b (01/06/98)
------------------------
! descriptions for files/folders
! updating the disk with comments/category
! displaying disk information for large disks (> 8Gb)
! daylight saving problem (compare/update)
+ speed improvement on disk update

Version 1.20a (17/04/98)
------------------------
! updating disks without serial number (network ones etc)
! saving comment and category for the disks on update
! extracting "file_id.diz" files from some archives
! changing disk name (letters case)
! installation under NT5

Version 1.20 (02/04/98)
-----------------------
! changing disk serial number on update (NT)
! cancel search (NT)
! specifying more than 32 files to extracting files/folders from
+ hide files with mask
+ unhide files with mask
+ delete files with mask
+ print category list
+ search for items without comments
+ wildcards in files to import descriptions from

Version 1.20 Beta 2a (12/03/98)
-------------------------------
! recognizing 3"/5" floppy when there is no disk in the drive (NT)
! accessing floppy drive (NT)
! converting OEM file names inside RAR archives

Version 1.20 Beta 2 (03/03/98)
------------------------------
! invalid number of files and folders in some dialogs
! reading some disks under Windows NT
! changing disk serial number under Windows NT
! ejecting removable disks under Windows NT
! sorting languages list
! recognizing unformatted floppies
! progress bar: inproper folder name
! memory leak after terminating disk scan (add/update)
! importing categories (GPF)
! saving the database after updating a few disks at once (GPF)
! terminating disk update: memory leak
! deleting items in disk name with the keyboard (DEL/BACKSPACE)
! enabled "Archive" and "Description" menu item when multiple files are selected
! "changed" flag after deleting a file
! changing options related to descriptions
! extracting folder descriptions: case sensitivity
! auto-save functionality
! owning 100% of CPU time
! memory leaks on disk update
! no toolbar on startup
+ support for ARC archives (listing and extracting comments only)
+ more responsible "cancel" button during disk scan
+ highlighting current disk/folder
+ Ctrl-A: select all files
+ "minimize to tray" option
+ restoring all disk contents when update was terminated
+ saving toolbar and status bar
+ supporting LFN in description files ("files.bbs" etc.)
+ option: no logo at starup
+ status bar: total/free space (for disk)
+ updating descriptions for archive files

Version 1.20 Beta 1 (10/12/97)
------------------------------
! memory leak on analysing ZIP archives
! "unsupported drive type" error for some drives
! analysing some description files
! crashing under systems with some specific regional settings
! restoring window position after scan/duplicates/compare completes
! icons in the left pane (drives, folders) under some video modes
! '*' in search for comments
! enabled "Information" button/menu on empty database
! extracting descriptions from archives on disk update
! initial selection in "edit description" dialog
! case-insensitive search for duplicates
+ copying files from catalogued disk
+ selecting the language in setup
+ support for large drives (> 4Gb)
+ icons for pages in setup dialog
+ "Edit description" pop-up menu item
+ "Archive" button on toolbar
+ hiding files in the catalog
+ deleting folders/files from the catalog
+ extracting descriptions from user-defined files
+ hot key (F2): rename
+ option: old-style toolbar
+ more information in the status bar
+ option: create database backup on save
+ extracting module descriptions (EXE, DLL, etc.)
+ option: auto-save database on idle
+ disk compare: 3 pages (new, deleted, changed)
+ disk compare: much better speed
+ right pane (list) redraw: better speed
+ default disk name: "Disk <letter>"
+ installation program: registering file type ("adc" extension)
+ installation program: checking "comdll32.dll" version

Version 1.16a (24/10/97) 
------------------------
! running under Windows NT
+ more languages (German, Czech, Romanian)

Version 1.16 (14/10/97) 
-----------------------
! saving/restoring some options
! comments for exe-files (not SFX-archives)
! importing categories
! scrolling the file name in report dialog
! analyzing some invalid zip-archives
! processing disk label with invalid characters
! case-insensitive search in non-english comments
! search in corrupted archives
! misspellings
! separator between menu and toolbar
! progress bar in scan window
! checking the version of comctl32.dll
! open/run multiple files from right pane
! search/reports/duplicates in empty dialog
+ toolbar: edit comments
+ toolbar: open or run the file
+ localization (support for languages other than english)
  + messages
  + menus
  + windows/dialogs
+ compare catalogued disk with actual
  + new files
  + deleted files
  + changed files (date and/or size)
+ default file name for the report
+ eject removable media after scanning (option)
+ saving sort column and direction after changing the folder
+ hot keys: Alt-Enter (Properies), Backspace (Up)
+ Up one level: selecting appropriate folder in right pane
+ active URLs in help
+ more sounds can be switched off
+ allowing to minimize the scan window
+ importing multi-line descriptions from files like "files.bbs" etc.
+ comments extended up to 4K (was: 256 bytes for files/folders, 1K for disks)
+ faster duplucates search
+ added "comment" field in "more info" dialog
+ internal unzip routines (no need for unzip32.dll)
+ unzipping in memory

Version 1.15b (02/09/97) 
------------------------
! processing some invalid ZIP archives
! set focus on search string when switching to search window
+ smooth progress bar during disk scan
+ extracting archive comments

Version 1.15a (31/07/97)
------------------------
! extracting descriptions from "descript.ion" etc.: problem with
  the last line
+ seriously (in 3-4 times!) increased disk scanning speed
+ associated icons in "archive" window
+ associated icons in "duplicates" window

Version 1.15 (25/07/97) 
-----------------------
! processing CAB archives
! processing multi-volume RAR archives
! multi-selection on "locate" operation from search and
  duplicates windows
! correct drives icons
! "locate" action from duplicates window
! "search in archives" option
! locating help file under certain circumstances
! keep help window on top
! close help file on program exit
! memory leak on program exit
! scroll bar for disk/folder/file comments in properties dialog
! disk properties: creation time -> last scan
! no program icon in start menu after installation (NT)
+ archive information: total files, uncompressed size
+ extracting descriptions for folders from list
  ("files.bbs", "descript.ion" etc.)
+ "Apply" button in options dialog
+ multi-volume ARJ archives
+ multi-volume ZIP archives
+ self-extracting ARJ archives
+ self-extracting ZIP archives
+ self-extracting RAR archives
+ extracting "file_id.diz" from archives
+ full row select in all list windows
+ removed reminder on program exit (for unregistered users)
+ changing drive root (pop-up menu)
+ saving search queries and options between sessions
+ option: play sounds
+ option: analyse SFX archives
+ open the container (archive) for file inside archive
  (from the search window)

Version 1.14 (11/07/97)
-----------------------
! some problems with case sencitivity
! toolbar: currect number of files/folders/disks found
! updating the disk with different root path
! crash on disk update if the disk has category/comment
! crash on reading catalogs with long comments for folders and files
! sorting disks in "more info" dialog
! multi-selection in some list windows
! access to search window during some operations
! search in comments if "what" field is empty
! total/free space in disk summary report
! eliminated memory leaks
! report without printing folders
! search in long comments
! extra repainting of list window
+ increased Windows NT 4.0 compatibility
+ increased redraw speed
+ decreased memory requirements
+ hi-color icons for tree window (left pane) and some list windows
+ new report: all files (sorted), comma-delimited
+ file descriptions from: "files.bbs", "descript.ion" etc
+ folder descriptions from "file_id.diz", "dirinfo"
+ converting descriptions from OEM to ANSI (option)
+ caption of "file properties" dialog now displys
  the small icon and file type (for registered types)
+ "ignore hidden files and folders" option

Version 1.13 (27/06/97)
-----------------------
! crash on disk update operation
! creating phantom file on disk update operation
! sorting by comment
! "no duplicates found" message
! open file from the search window
! more space between date and time
! adding the disk when a few disks with the same  serial already
  exist: listing candidates to update
! sorting duplicated files by location
! search with mask containing '*'
! extra repainting on "locate" from the search window
! extra repainting on "locate" from the duplicates window
! garbage in some list window columns
+ search for items with comments (using "*" mask)
+ "duplicates" window:
  + now modeless to allow switch to main window
  + save as a report (text file)
  + double-click and "Locate" from popup menu: locate in main window
+ bring ADC to foreground after disk add/update
+ open disk properties dialog after disk update
+ search direction indicator in list views: catalog..more, 
  archive etc.
+ resizable "archive", "duplicates" and "more info" windows
  (with saving positions between sessions)

Version 1.12 (19/06/97)
-----------------------
! memory leak under Windows NT on disk scan
! tooltip for "Up one level" button
! conversion between local time and UTC
! enabling/disabling some toolbar buttons and menu items
+ sort field indicator: small image on the column header
+ headers support drag-n-drop (the order saved between sessions)
+ file properties: time in addition to date
+ flat toolbar (like in Office 97)
+ more informative tooltips
+ disk selection dialog: explorer icons
+ remember last scanned disk
+ gradient caption
+ active URLs in "About" dialog

Version 1.11 (10/06/97)
-----------------------
! refreshing list window (right pane) twice on "Up one level"
! redrawing status bar on window resize
! add/update the disk when there are a few disks with the same serial
! analysing ARJ/RAR/CAB files
! program exit: memory leak sometimes causing the crash
+ search window: sort field indicator (on status bar)
+ search progress/result: number of disks/folders/files
+ new approach to disk update: saving contents of
  archives; seriously increase disk update speed

Version 1.10a (05/06/97) 
------------------------
! bugs in search window:
  ! "Archive" menu item on folder
  ! executing the program selected as a replacement to Windows Explorer
  ! disable "Open" and "Explorer" items for file found in archive
! redrawing the left pane of the main window on file
  open/import (last disk)
! set default options during setup
+ view archive content for files found in archive (in search window)
+ open file from search window: "insert disk xxxx" notification
+ scan given disk/folder for viruses (using external program
  selected in options)

Version 1.10 (04/06/97)
-----------------------
! end Windows session: save settings
! dispatching messages on disk add/update: 
  redrawing window
! sort indicator in status bar: inverse flag
! increased disk scan speed (analysing archives)
! invalid characters in disk name
! more limitations of unregistered version:
+ search window: view archive content without switching to main window
+ spanned RAR archives
+ 5" floppy icon
+ multi-selection (files only, by mouse only): group properties
+ search for duplicate files
+ animation in disk add/update progress window
+ printing disk summary report
+ using disks without serial number
+ using network (remote) disks
+ option: remember open/save directory
+ option: set/change the serial number when needed
+ add disk: advanced information about disks with  a few disks with
  the same serial number are already in the database

Version 1.10 Beta 3 (28/05/97)
------------------------------
! disappearing icons in tree window after "Database Information"
! clearing status bar
+ new installation program
+ default options on install
+ more folder properties: files/folders/bytes in root
+ icon for CAB files
+ hi-res associated icons
+ in-line editing of disk name
+ saving layout for archive contents dialog
+ saving layout for database information dialog
+ sort (w/reverse) in database info dialog
+ status bar: sort field indicator, no of files/folders
+ disk add/update: progress window with cancel button
+ option: show progress window
+ option: save info (comments/categories) on disk update
+ edit categories: cancel
+ import categories
+ option for "open": something instead of Explorer
+ open file: "insert disk xxxx" notification

Version 1.10 Beta 2 (21/05/97)
------------------------------
! spelling errors
! sorting disks
! search window: sorting categories in combo box
! total/free disk space for disks > 2Gb (but < 4Gb)
+ help file
+ open properties dialog after adding a disk
+ search in comments: extended to disk name and serial number
+ second click on column header (in  main/search/archive
  windows): sort in reverse order
+ different splash screens for registered and
  unregistered users
+ moving to next file in properties: option
+ end of search: sound

Version 1.10 Beta 1 (15/05/97) 
------------------------------
! updating disk serial number and root path on disk update
  (if the disk is different)
! goto disk from search window
! empty report name
! filename for report without full path
! deleting the onliest category
+ working with Microsoft CAB archives
+ search in archives
+ using the disk label (if exist) as a disk name
+ edit categories from properties dialog
+ view archive contents from properties dialog

Version 1.05 (12/05/97)
-----------------------
! serial numbers stuff (hopefully, finally)
+ added ZIP, ARJ and RAR archives analysis

Version 1.04c (07/05/97)
------------------------
! adding the disk after changing the serial number
! uppercasing file extensions when displaying associated icons
! saving comments/categories case sensitivity
! displaying incorrect icons for some files
+ changing serial numbers for ZIP disks

Version 1.04b (04/05/97)
------------------------
! memory leak: VALIDATE.DLL library
! disk add/update: reading the serial number
+ using disks with the same serial numbers

Version 1.04a (29/04/97)
------------------------
! inheriting folder categories when edited from right (list) window

Version 1.04 (28/04/97)
-----------------------
! corrupted folder comments
! correct archive size in catalog info
! redrawing folder categories in list window after inheriting category
! displaying improper hot key for "Search"
! locating file in the root folder from the search window
! working directory for ADC program icon
! show "readme" before installation
! focus on edit control in search window
! main and search windows layout: saving only if appropriate options
  set, restoring always (last-saved)
! creating the backup copy of catalog file on "save as" operation
! refreshing list window on right mouse click
! eliminated some memory leaks
! crash on exit after a few searches
+ add disk: check if disk is already exists; ask to update
+ open/print the report (shell operation)
+ displaying full folder path in status bar
+ icons in search window
+ right-click in search window: open, explorer, properties, goto
+ additional subfolder for catalogs
+ writing volume serial number if it is empty
+ cancel search operation

Version 1.03 (09/04/97)
-----------------------
! "up one level" without selection
! "TAB" key: set default selection
! spelling errors
! "properties" dialog: corrected "changed" flag
! changing selection on right mouse button click
! multi-selection in search window
! selecting first list item on pressing tab button
! search window can be maximized
! closing nag screen ('x' button)
! "Up One Level" on empty archive
! do not allow running two copies of ADC
+ redesigned toolbar layout
+ added "setup" button to the toolbar
+ added "location" field to folder/file properties dialog
+ file/folder size displayed according to system locale
+ folder properties dialog: number of files and folders grouped together
+ double-click in search window: goto selected item
+ import
+ export (report)
+ right button more context-sensitive (for disks): 
  + "delete"
  + "update"
+ double click on file: open or properties
+ status bar: tip displayed on moving the mouse across 
  the buttons instead of on pressing
+ disallowing pressing "Quit" in nag screen on exit
  (to avoid loosing changes)
+ saving search window layout
+ "between" and "during last" search: don't include folders
+ search "between" dates: from 01.01.80 to current date
+ "exact match" near "match case"
+ hot keys 
  + new/open/save/saveas/exit
  + categories/information
  + properties
  + search/report)

Version 1.02 (26/03/97)
-----------------------
! sorting categories in properties dialogs
! spelling errors
! rubbish comments
! changing selection on clicking right mouse button in tree window
! changing file comments
! adding empty disk
+ right mouse button context-sensitive menu:
  + "explorer"
  + "open"
  + "properties"
+ search dialog: "exact match" option
+ date format according to system locale
+ "Ins", "Del", "Tab" keys
+ save/restore layout:
  + main window position and size
  + splitter position
  + columns sizes in list view
+ "Up One Level" button
+ "auto-open last archive" feature
+ parsing command line: archive name
+ options dialog:
  + auto-open last archive
  + save layout
+ folder properties dialog:
  + total files
  + total folders
  + total bytes
+ disallowing multi-selection in list window
+ moving to next file in file properties dialog
+ list window can display associated icons
+ tree window displays hi-res icons

Version 1.01 (18/03/97) 
-----------------------
! Fixed bug in disk update operation
! Fixed disappearing search text after search operation
! Fixed bug in search with "*." mask
+ Decreased memory requirements on file open (using memory-mapped file now)
+ Displaying folders in list window

Version 1.0 (11/03/97)
----------------------
First public release
